0

I want to migrate customer, order and product information from Magento 2.1 site (old server) to a brand new install of a Magento 2.3 site (new server).

What is the easiest and most effective way to go about doing this?

1

Please check all below steps:

  1. First off all download database from old server and import to the new server.
  2. Then download all files from old server to transfer the magento root files to the new server.
  3. In the root folder, change to the new database. You can do this by going to app/etc/env.php and changing the DB array information. change the host, dbname, username and password to the new one.
  4. Then you change you secure and unsecure URLs in the magento DB core_config_data to the new IP, don't forget the "/" after your IP, it's required.
  5. Make the web user owner of the new file ( for apache it's: sudo chown -R www-data /var/www/magentoroot ) Set the correct file and folder permissions.
  6. Finally clear the cache by running bin/magento cache:clean and bin/magento cache:flush.

Now you imported your OLD version 2.1 to new server and you have backup at old server so easy to upgrade your magento 2.1 version to 2.3 version from follow below all commands and also check php version compatibility etc...

php bin/magento maintenance:enable
composer require magento/product-community-edition 2.3.3 --no-update
composer update
rm -rf var/di var/generation
php bin/magento cache:flush
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy -f
php bin/magento indexer:reindex
php bin/magento maintenance:disable
php bin/magento cache:clean

From all steps to you will not lose any data and easy and fast way.

Other steps is that check extension for export/import data is available at magento extension site.

  • Thank you @Sangeeta Chandaliya. The only thing with this is the 2.1 site is live, so I wanted to be able to do it in such a way that I could transfer across the latest customer order details too... – YorkieMagento Oct 24 '19 at 10:28
  • Magento 2.3 supports PHP versions ~7.2.0 & ~7.3.0 according to devdocs.magento.com/guides/v2.3/install-gde/…. Magento 2.1 stack requirements is not available anymore but it is below PHP version 7.2. When I tried to move using composer as suggested, I get plenty of errors. Hence, what additional steps needs to be done to take this into consideration? – user5198077 Apr 25 '20 at 9:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.